summaryrefslogtreecommitdiffstats
path: root/src/ob-applypatches.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 15:54:58 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 15:54:58 (EDT)
commitbbd9d58f7b544749125860f78838e04e91cfaadf (patch)
tree68c1e9bab3898678a2c1d8eb05fdd66f26a3dfbd /src/ob-applypatches.sh
parenta41432aec7f7e561e506089d7195f0293b5e9791 (diff)
opkbuild, ob-*: Exit with error on ob_set_text_domain() failure
Diffstat (limited to 'src/ob-applypatches.sh')
-rw-r--r--src/ob-applypatches.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/ob-applypatches.sh b/src/ob-applypatches.sh
index 165c426..0ab3308 100644
--- a/src/ob-applypatches.sh
+++ b/src/ob-applypatches.sh
@@ -55,7 +55,10 @@ apply_patches()
main()
{
- ob_set_text_domain 'opkbuild'
+ if ! ob_set_text_domain 'opkbuild'; then
+ printf '%s: Error: Failed to load locale messages\n' >&2
+ return 1
+ fi
ob_init_package '..' || return 1
ob_parse_package_metadata -c '.opkbuild.cache' || return 1